-- Takes `UNIFORM_MATERIAL_NAME` as an input.
-- Generates a solid, completely full block, with every voxel being just the material.

use_script("uniformMaterials.lua");

local material = uniform_materials[UNIFORM_MATERIAL_NAME];
local maps = {};

for key, value in pairs(material) do
    local vsp = vsp_new(8, 8, 8);
    vsp_fill(vsp, value);

    maps[key .. "map"] = vsp
end

export_frame("default", maps);